Bug 907032

Summary: Review Request: amftools - AMF file library
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: Package ReviewAssignee: T.C. Hollingsworth <tchollingsworth>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: notting, package-review, tchollingsworth
Target Milestone: ---Flags: tchollingsworth: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-30 00:42:32 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 907018, 907027    
Bug Blocks: 907585    

Description Miro Hrončok 2013-02-02 14:25:51 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/amftools.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/amftools-0.0-1.20121220svn32.fc18.src.rpm

Description:
C++ tools for implementing AMF file format for the interchange of geometry
for 3D printing (additive manufacturing).

Fedora Account System Username: churchyard
Comment 1 Miro Hrončok 2013-03-13 16:12:44 EDT
Question about soname and it's version: https://sourceforge.net/p/amftools/discussion/general/thread/4c517730/
Comment 2 T.C. Hollingsworth 2013-04-24 13:54:53 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

Status: NEEDS WORK

===== Issues =====

[!]: Files are removed from the BUILD directory in %install.

     This breaks `rpmbuild --short-circuit`.  Since it seems you can't remove 
     these in %prep without causing yourself more grief, just nuke them from
     the buildroot at the end of %install.

===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v3 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in
     /home/fedora/patches/FedoraReview/907032-amftools/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[-]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.

Rpmlint
-------
Checking: amftools-0.0-1.20121220svn32.fc20.src.rpm
          amftools-devel-0.0-1.20121220svn32.fc20.x86_64.rpm
          amftools-debuginfo-0.0-1.20121220svn32.fc20.x86_64.rpm
          amftools-0.0-1.20121220svn32.fc20.x86_64.rpm
amftools.src: W: invalid-url Source0: amftools-svn32.tar.gz
amftools-devel.x86_64: W: no-documentation
amftools.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 3 warnings.

OK


Rpmlint (installed packages)
----------------------------
# rpmlint amftools-debuginfo amftools-devel amftools
amftools-devel.x86_64: W: no-documentation
amftools.x86_64: W: undefined-non-weak-symbol /usr/lib64/libamf.so.0.0.0 mu::ParserBase::DefineVar(std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, double*)
amftools.x86_64: W: undefined-non-weak-symbol /usr/lib64/libamf.so.0.0.0 mu::ParserBase::DefineOprt(std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, double (*)(double, double), unsigned int, mu::EOprtAssociativity, bool)
amftools.x86_64: W: undefined-non-weak-symbol /usr/lib64/libamf.so.0.0.0 mu::ParserError::GetMsg() const
amftools.x86_64: W: undefined-non-weak-symbol /usr/lib64/libamf.so.0.0.0 mu::Parser::Parser()
amftools.x86_64: W: undefined-non-weak-symbol /usr/lib64/libamf.so.0.0.0 mu::ParserCallback::ParserCallback(double (*)(double const*, int), bool)
amftools.x86_64: W: undefined-non-weak-symbol /usr/lib64/libamf.so.0.0.0 mu::ParserCallback::ParserCallback(double (*)(double), bool, int, mu::ECmdCode)
amftools.x86_64: W: undefined-non-weak-symbol /usr/lib64/libamf.so.0.0.0 mu::ParserBase::SetExpr(std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&)
amftools.x86_64: W: undefined-non-weak-symbol /usr/lib64/libamf.so.0.0.0 mu::ParserBase::Eval() const
amftools.x86_64: W: undefined-non-weak-symbol /usr/lib64/libamf.so.0.0.0 mu::ParserCallback::ParserCallback(double (*)(double, double), bool)
amftools.x86_64: W: undefined-non-weak-symbol /usr/lib64/libamf.so.0.0.0 mu::ParserBase::ValidNameChars() const
amftools.x86_64: W: undefined-non-weak-symbol /usr/lib64/libamf.so.0.0.0 mu::ParserBase::AddCallback(std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, mu::ParserCallback const&, std::map<std::basic_string<char, std::char_traits<char>, std::allocator<char> >, mu::ParserCallback, std::less<std::basic_string<char, std::char_traits<char>, std::allocator<char> > >, std::allocator<std::pair<std::basic_string<char, std::char_traits<char>, std::allocator<char> > const, mu::ParserCallback> > >&, char const*)
amftools.x86_64: W: undefined-non-weak-symbol /usr/lib64/libamf.so.0.0.0 mu::ParserBase::DefineInfixOprt(std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, double (*)(double), int, bool)
amftools.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 14 warnings.
# echo 'rpmlint-done:'

OK

Requires
--------
amftools-devel-0.0-1.20121220svn32.fc20.x86_64.rpm (rpmlib, GLIBC filtered):
    
    amftools(x86-64) = 0.0-1.20121220svn32.fc20
    libamf.so.0()(64bit)
  
    
amftools-debuginfo-0.0-1.20121220svn32.fc20.x86_64.rpm (rpmlib, GLIBC filtered):
    

amftools-0.0-1.20121220svn32.fc20.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /sbin/ldconfig
    libGL.so.1()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstbi.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libzip.so.2()(64bit)
    rtld(GNU_HASH)

OK

Provides
--------
amftools-devel-0.0-1.20121220svn32.fc20.x86_64.rpm:
    
    amftools-devel = 0.0-1.20121220svn32.fc20
    amftools-devel(x86-64) = 0.0-1.20121220svn32.fc20

amftools-debuginfo-0.0-1.20121220svn32.fc20.x86_64.rpm:
    
    amftools-debuginfo = 0.0-1.20121220svn32.fc20
    amftools-debuginfo(x86-64) = 0.0-1.20121220svn32.fc20

amftools-0.0-1.20121220svn32.fc20.x86_64.rpm:
    
    amftools = 0.0-1.20121220svn32.fc20
    amftools(x86-64) = 0.0-1.20121220svn32.fc20
    libamf.so.0()(64bit)

OK

Generated by fedora-review 0.3.1 (f4bc12d) last change: 2012-10-16
Buildroot used: fedora-rawhide-vanilla-x86_64
Command line :./try-fedora-review -b907032
Comment 3 T.C. Hollingsworth 2013-04-24 14:00:26 EDT
Oh, and as with poly2tri the triple point version SONAME is probably overkill.  (This isn't a blocker though.)
Comment 4 T.C. Hollingsworth 2013-04-24 14:12:06 EDT
One More Thing...please add -lmuparser to LIBS in your Makefile to shut up the rpmlint "undefined-non-weak-symbol" warnings (and make this program start a little bit faster ;-).
Comment 5 Miro Hrončok 2013-04-24 14:22:31 EDT
Spec URL: https://raw.github.com/hroncok/SPECS/master/amftools.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/amftools-0.0-2.20121220svn32.fc18.src.rpm

- Soname version 0.0.0 -> 0.0
- Removing include/zip in %prep, as it works fine
- Added -lmuparser to Makefile
Comment 6 T.C. Hollingsworth 2013-04-24 20:58:42 EDT
This package is APPROVED.
Comment 7 Miro Hrončok 2013-04-25 04:48:17 EDT
New Package SCM Request
=======================
Package Name: amftools
Short Description: AMF file library
Owners: churchyard
Branches: f17 f18 f19
Comment 8 Jon Ciesla 2013-04-25 07:15:49 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2013-04-25 11:14:52 EDT
amftools-0.0-2.20121220svn32.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/amftools-0.0-2.20121220svn32.fc19
Comment 10 Fedora Update System 2013-04-25 11:15:50 EDT
amftools-0.0-2.20121220svn32.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/amftools-0.0-2.20121220svn32.fc18
Comment 11 Fedora Update System 2013-04-25 11:17:18 EDT
amftools-0.0-2.20121220svn32.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/amftools-0.0-2.20121220svn32.fc17
Comment 12 Fedora Update System 2013-04-25 12:45:25 EDT
amftools-0.0-2.20121220svn32.fc19 has been pushed to the Fedora 19 testing repository.
Comment 13 Fedora Update System 2013-04-30 00:42:34 EDT
amftools-0.0-2.20121220svn32.fc19 has been pushed to the Fedora 19 stable repository.
Comment 14 Fedora Update System 2013-05-05 23:50:58 EDT
amftools-0.0-2.20121220svn32.fc18 has been pushed to the Fedora 18 stable repository.
Comment 15 Fedora Update System 2013-05-05 23:53:01 EDT
amftools-0.0-2.20121220svn32.fc17 has been pushed to the Fedora 17 stable repository.